<?php declare(strict_types=1);

namespace app\ServiceResults\Site;

use App\Models\Project;
use App\Models\ProjectLanguage;
use App\ServiceResults\ServiceResult;

final class PagePossibleWithoutTranslation extends ServiceResult
{
    public function __construct(
        private readonly Project $project,
        private readonly ProjectLanguage $language,
        private readonly array $data,
        private readonly bool  $isTranslation,
    ) { }

    public function isTranslation(): bool
    {
        return $this->isTranslation;
    }

    public function getData(): array
    {
        return $this->data;
    }

    public function getProject(): Project
    {
        return $this->project;
    }

    public function getLanguage(): ProjectLanguage
    {
        return $this->language;
    }
}
