<?php declare(strict_types=1);

namespace app\View\Components\Site;

use App\Models\ProjectLanguage;
use Illuminate\Support\Collection;
use Illuminate\Support\Str;
use Illuminate\View\Component;
use Illuminate\View\View;

final class ChooseLanguage extends Component
{
    public function __construct(
        private readonly ProjectLanguage $language,
        private readonly Collection $languages,
    ) { }

    public function render(): View
    {
        $link = Str::of( request()->getRequestUri() )->rtrim('/');
        if ($link->endsWith('/language/' . $this->language->code)) {
            $link = $link->replace('/language/' . $this->language->code, '', false);
        }

        return view('components.site.choose-language', [
            'language'  => $this->language,
            'languages' => $this->languages,
            'link'      => (string) $link,
        ]);
    }
}
