@section('meta_title', __('admin-sections.Project') . ': ' . $project->name)
@section('h1', __('admin-sections.Project') . ': ' . $project->name)
<x-admin.layout>
    @include('admin.projects._top')
    <div class="card border-0 shadow mb-4">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-centered table-nowrap mb-0 rounded">
                    <thead class="thead-light">
                    <tr>
                        <th class="border-0">{{ __('admin-sections.Sections') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                        @can('viewAny', \App\Models\ProjectContent::class)
                            <tr>
                                <td>
                                    <a href="{{ route('admin.projects.about.languages', ['project' => $project->id]) }}" class="fw-bold">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="align-text-top" viewBox="0 0 16 16">
                                            <path d="M12.854.146a.5.5 0 0 0-.707 0L10.5 1.793 14.207 5.5l1.647-1.646a.5.5 0 0 0 0-.708l-3-3zm.646 6.061L9.793 2.5 3.293 9H3.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.207l6.5-6.5zm-7.468 7.468A.5.5 0 0 1 6 13.5V13h-.5a.5.5 0 0 1-.5-.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.5-.5V10h-.5a.499.499 0 0 1-.175-.032l-.179.178a.5.5 0 0 0-.11.168l-2 5a.5.5 0 0 0 .65.65l5-2a.5.5 0 0 0 .168-.11l.178-.178z"/>
                                        </svg>
                                        {{ __('admin-sections.About project') }}
                                    </a>
                                </td>
                            </tr>
                        @endcan
                        @can('viewAny', \App\Models\ProjectLink::class)
                            <tr>
                                <td>
                                    <a href="{{ route('admin.projects.links.index', ['project' => $project->id]) }}" class="fw-bold">
                                        <svg data-slot="icon" width="16" height="16" fill="none" stroke-width="1.5" stroke="currentColor" class="align-text-top" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                                            <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244"></path>
                                        </svg>
                                        {{ __('admin-sections.Links project') }}
                                    </a>
                                </td>
                            </tr>
                        @endcan
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</x-admin.layout>
